Hi,

on a computer the old kmail crashes, on command line it reports (full backtrace https://pastebin.com/9gyuhwzv):

Code:
kmail
kmail2(8546): No language dictionaries for the language :  "de"
kmail2(8546) MessageViewer::ObjectTreeParser::defaultHandling: no htmlWriter()
kmail2(8546) MessageViewer::ObjectTreeParser::defaultHandling: no htmlWriter()
*** Error in `kmail': free(): invalid next size (fast): 0x0000000002f33650 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x721af)[0x7f89d83d31af]
/lib64/libc.so.6(+0x779d6)[0x7f89d83d89d6]
/lib64/libc.so.6(+0x78723)[0x7f89d83d9723]
/usr/lib64/libQtGui.so.4(_ZN11QTextEngine13clearLineDataEv+0x8d)[0x7f89d90cfc2d]
/usr/lib64/libQtGui.so.4(+0x476123)[0x7f89d911a123]
/usr/lib64/libQtGui.so.4(+0x630483)[0x7f89d92d4483]
/usr/lib64/libQtGui.so.4(+0x6307f7)[0x7f89d92d47f7]
/usr/lib64/libQtGui.so.4(+0x632982)[0x7f89d92d6982]
/usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2da)[0x7f89d9afb0ea]
/usr/lib64/libQtGui.so.4(_ZN12QTextControl19documentSizeChangedERK6QSizeF+0x25)[0x7f89d90bb555]
/usr/lib64/libQtGui.so.4(+0x41d519)[0x7f89d90c1519]
/usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2da)[0x7f89d9afb0ea]
/usr/lib64/libQtGui.so.4(_ZN27QAbstractTextDocumentLayout19documentSizeChangedERK6QSizeF+0x25)[0x7f89d9108f35]
/usr/lib64/libQtGui.so.4(+0x4764c2)[0x7f89d911a4c2]
/usr/lib64/libQtGui.so.4(+0x454431)[0x7f89d90f8431]
/usr/lib64/libQtGui.so.4(_ZN11QTextCursor18removeSelectedTextEv+0x2db)[0x7f89d912048b]
/usr/lib64/libkpimtextedit.so.4(_ZN12KPIMTextEdit8TextEdit9loadImageERK6QImageRK7QStringS6_+0x297)[0x7f89d5118dc7]
/usr/lib64/libmessagecomposer.so.4(_ZN15MessageComposer16ComposerViewBase13collectImagesEPN5KMime7ContentE+0x1c3)[0x7f89d70f0243]
/usr/lib64/libmessagecomposer.so.4(_ZN15MessageComposer16ComposerViewBase10setMessageERKN5boost10shared_ptrIN5KMime7MessageEEEb+0x832)[0x7f89d70f0ce2]
/usr/lib64/libkmailprivate.so.4(+0x1a576d)[0x7f89dad2c76d]
/usr/lib64/libkmailprivate.so.4(_ZN8KMKernel18recoverDeadLettersEv+0x508)[0x7f89dac510b8]
kmail[0x402efb]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f89d83816e5]
kmail(_start+0x29)[0x4033f9]
======= Memory map: ========
…
…
7f89b9084000-7f89b90c6000 r-xp 00000000 08:03 559231                     /usr/lib64/libHalf.so.11.0.0*** KMail got signal 6 (Exiting)
*** Dead letters dumped.
KCrash: Application 'kmail' crashing...
KCrash: Attempting to start /usr/lib64/kde4/libexec/drkonqi from kdeinit
KCrash: Connect sock_file=/home/katrin/.kde4/socket-linux-kw7v.site/kdeinit4__0
unnamed app(8545): Communication problem with  "kmail2" , it probably crashed.
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not receive a reply (timeout by message bus)" "
Checking software, repos:

Code:
zypper search --details --installed-only kmail akonadi kontact

S | Name                         | Typ   | Version     | Arch   | Repository       
--+-------------------------------+-------+-------------+--------+------------------
i | akonadi                      | Paket | 4.14.10-5.4 | x86_64 | openSUSE-42.2_OSS
i | akonadi-contact              | Paket | 16.08.2-1.1 | x86_64 | openSUSE-42.2_OSS
i | akonadi-mime                 | Paket | 16.08.2-1.1 | x86_64 | openSUSE-42.2_OSS
i | akonadi-runtime              | Paket | 1.13.0-4.5  | x86_64 | openSUSE-42.2_OSS
i | akonadi-search               | Paket | 16.08.2-1.1 | x86_64 | openSUSE-42.2_OSS
i | kmail                        | Paket | 4.14.10-5.4 | x86_64 | openSUSE-42.2_OSS
i | kontact                      | Paket | 4.14.10-5.4 | x86_64 | openSUSE-42.2_OSS
i | libKF5AkonadiAgentBase5      | Paket | 16.08.2-2.1 | x86_64 | openSUSE-42.2_OSS
i | libKF5AkonadiContact5        | Paket | 16.08.2-1.1 | x86_64 | openSUSE-42.2_OSS
i | libKF5AkonadiCore5           | Paket | 16.08.2-2.1 | x86_64 | openSUSE-42.2_OSS
i | libKF5AkonadiMime5           | Paket | 16.08.2-1.1 | x86_64 | openSUSE-42.2_OSS
i | libKF5AkonadiPrivate5        | Paket | 16.08.2-2.1 | x86_64 | openSUSE-42.2_OSS
i | libKF5AkonadiSearch          | Paket | 16.08.2-1.1 | x86_64 | openSUSE-42.2_OSS
i | libKF5AkonadiWidgets5        | Paket | 16.08.2-2.1 | x86_64 | openSUSE-42.2_OSS
i | libakonadi4                  | Paket | 4.14.10-4.8 | x86_64 | openSUSE-42.2_OSS
i | libakonadiprotocolinternals1 | Paket | 1.13.0-4.5  | x86_64 | openSUSE-42.2_OSS
i | python-kde4-akonadi          | Paket | 4.14.3-3.46 | x86_64 | openSUSE-42.2_OSS
… and gussing problems in compatibility (kmail, akonadi) I see differences in Versions installed:
  • akonadi 4.14.10-5.4 vs akonadi-contact 16.08.2-1.1, but running for the old kmail 4.14.10-5.4
  • what causes the crash?
  • is it possible to run old kmail or do I have to switch all PIM, Akonadi stuff to KDE5 Framework? I guess downgrading could solve this


During system upgrade to 42.2. (zypper dup with only standard repos) all seemed fine and kmail also ran in 42.2

thanks for your help
Infinite_Dao